LibreOffice: URI Service Reference

LibreOffice LibreOffice 5.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
URI Service Reference

represents an URI node that may occur in a RDF graph. More...

`import"URI.idl";`

Inheritance diagram for URI:

## Public Member Functions
| create ([in] string Value) raises ( com::sun::star::lang::IllegalArgumentException )
| creates an URI RDF node. More...
| createNS ([in] string Namespace, [in] string LocalName) raises ( com::sun::star::lang::IllegalArgumentException )
| creates an URI RDF node from namespace prefix and local name. More...
| createKnown ([in] short Id) raises ( com::sun::star::lang::IllegalArgumentException )
| creates an URI RDF node for a well-known URI. More...

## Additional Inherited Members
Public Attributes inherited from XURI
string | Namespace
| prefix More...
string | LocalName
| suffix More...
Public Attributes inherited from XNode
string | StringValue
| the string value of the node. More...

## Detailed Description

represents an URI node that may occur in a RDF graph.

Since
  OOo 3.0

See also
  XRepository

## Member Function Documentation

create | ( | [in] string | Value | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

creates an URI RDF node.

Parameters

  Value | the URI, represented as `string`.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the argument does not represent a valid URI

createKnown | ( | [in] short | Id | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

creates an URI RDF node for a well-known URI.

Parameters

  Id | the URI, represented as a constant from URIs.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the argument is not a valid constant from URIs

See also
  URIs

createNS | ( | [in] string | Namespace,
|  | [in] string | LocalName
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

creates an URI RDF node from namespace prefix and local name.

Parameters

  Namespace | the namespace prefix of the URI, represented as `string`.
  LocalName | the local name of the URI, represented as `string`.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the arguments do not represent a valid URI

The documentation for this service was generated from the following file:

- com/sun/star/rdf/URI.idl